Bug 236512 - Yum no longer sets repo.callback before calling postreposetup_hook
Summary: Yum no longer sets repo.callback before calling postreposetup_hook
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: yum (Show other bugs)
(Show other bugs)
Version: rawhide
Hardware: All Linux
medium
medium
Target Milestone: ---
Assignee: James Antill
QA Contact:
URL:
Whiteboard:
Keywords: Reopened
Depends On:
Blocks: F7Update
TreeView+ depends on / blocked
 
Reported: 2007-04-15 18:40 UTC by Jonathan Dieter
Modified: 2014-01-21 22:57 UTC (History)
0 users

Fixed In Version: 3.2.1-1.fc7
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-08-03 19:37:29 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Jonathan Dieter 2007-04-15 18:40:19 UTC
Description of problem:
Yum doesn't set repo.callback before calling postreposetup_hook.  This means
that any plugins that want to use that callback are out of luck.

Version-Release number of selected component (if applicable):
yum-3.1.6-1.fc7

How reproducible:
Always

Steps to Reproduce:
1. Install yum-presto-0.3.9 on an FC6 box
2. Install yum-presto-0.3.9 on a Rawhide box
  
Actual results:
On FC6 box, yum-presto shows progress as downloading deltarpms
On Rawhide box, yum-presto shows nothing as downloading deltarpms

Expected results:
On Rawhide box, yum-presto should show progress

Additional info:
Yum-presto has a prestoRepo object that is basically a yumRepo with some data
changed.  It takes all its callbacks from its parent yumRepo, but in Rawhide
they're not set before postreposetup_hook is called.

Comment 1 Jeremy Katz 2007-04-26 01:11:17 UTC
Fixed in upstream CVS for 3.1.7 I think.  Let me know if that doesn't fix things 

Comment 2 Jonathan Dieter 2007-04-28 11:04:41 UTC
I'm running yum-3.1.7-1.fc7, and this bug is still there.  The other bug
affecting yum-presto in rawhide, 237425 (having to do with options not being
set) has been fixed.

Comment 3 Jeremy Katz 2007-04-30 22:26:22 UTC
Urk.  I see what's going on.

In output.py, we do self.repos.setCallback... this ends up doing the repo set up
and thus implicitly calls the hooks.  I think the real problem is that we're
doing the set up from the YumBase object instead of the RepoStorage...

Fixing this is going to be scary for this stage of the game; hopefully I'll have
a patch this evening

Comment 4 Rahul Sundaram 2007-05-13 18:36:01 UTC
Jeremy,

What's the status on this?

Comment 5 James Bowes 2007-05-18 13:34:55 UTC
FWIW, Jeremy has posted a fix to yum-devel recently.

Comment 6 Jeremy Katz 2007-05-18 14:49:47 UTC
Yeah, so I have something that looks pretty good for a patch, but it's a bit
scary.  Seth and I talked a bit the other day and we think the safest route is
to not fix this in F7 final and then get the fix into 3.2.1 as a pretty quick
update to F7.

Jonathan -- this means that there's not progress with presto at first, but that
feels like a reasonable compromise weighed against having the change break
things for all cases.  If you're really against it, we can go with pushing the
change, it just makes me a smidge uncomfortable at this point.

Comment 7 Jonathan Dieter 2007-05-18 17:26:06 UTC
Well, seeing as we won't even have "official" F7 presto repositories when F7
comes out, I think you're making the right decision.

Here's looking forward to that update when it does come out!

Comment 8 Jeremy Katz 2007-06-13 18:23:31 UTC
Fix committed upstream; will be in 3.2.1

Comment 9 Seth Vidal 2007-08-03 19:37:29 UTC
3.2.1 is out and we can close this


Note You need to log in before you can comment on or make changes to this bug.